Bug 1390149 - [gromacs] CpuInfoTest.SupportLevel fails
Summary: [gromacs] CpuInfoTest.SupportLevel fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gromacs
Version: 26
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-31 10:21 UTC by Dan Horák
Modified: 2017-06-08 21:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-08 21:07:01 UTC


Attachments (Terms of Use)
fix x86 conditional (716 bytes, patch)
2016-10-31 10:21 UTC, Dan Horák
no flags Details | Diff

Description Dan Horák 2016-10-31 10:21:46 UTC
Created attachment 1215741 [details]
fix x86 conditional

The CpuInfoTest.SupportLevel testcase fails on s390x because wrong condition in
src/gromacs/hardware/tests/cpuinfo.cpp is used, (IMHO) on unknown architecture the GMX_TARGET_X86 symbol is defined to zero, but I expect it's fully undefined on known non-x86 arches.

[ 98%] Running all tests
/usr/bin/ctest --output-on-failure
Test project /builddir/build/BUILD/gromacs-2016/mpich
      Start  1: TestUtilsUnitTests
 1/13 Test  #1: TestUtilsUnitTests ...............   Passed    0.05 sec
      Start  2: MdlibUnitTest
 2/13 Test  #2: MdlibUnitTest ....................   Passed    0.01 sec
      Start  3: CommandLineUnitTests
 3/13 Test  #3: CommandLineUnitTests .............   Passed    0.02 sec
      Start  4: FFTUnitTests
 4/13 Test  #4: FFTUnitTests .....................   Passed    0.04 sec
      Start  5: HardwareUnitTests
 5/13 Test  #5: HardwareUnitTests ................***Failed    0.84 sec
[==========] Running 5 tests from 2 test cases.
[----------] Global test environment set-up.
[----------] 1 test from CpuInfoTest
[ RUN      ] CpuInfoTest.SupportLevel
/builddir/build/BUILD/gromacs-2016/src/gromacs/hardware/tests/cpuinfo.cpp:72: Failure
Expected: (c.supportLevel()) >= (gmx::CpuInfo::SupportLevel::Features), actual: 4-byte object <00-00 00-01> vs 4-byte object <00-00 00-02>
No CPU features could be detected. 
GROMACS might still work, but it will likely hurt your performance.
Please mail gmx-developers@gromacs.org so we can try to fix it.
[  FAILED  ] CpuInfoTest.SupportLevel (0 ms)
[----------] 1 test from CpuInfoTest (0 ms total)
[----------] 4 tests from HardwareTopologyTest
[ RUN      ] HardwareTopologyTest.Execute
[       OK ] HardwareTopologyTest.Execute (831 ms)
[ RUN      ] HardwareTopologyTest.HwlocExecute
[       OK ] HardwareTopologyTest.HwlocExecute (2 ms)
[ RUN      ] HardwareTopologyTest.ProcessorSelfconsistency
[       OK ] HardwareTopologyTest.ProcessorSelfconsistency (2 ms)
[ RUN      ] HardwareTopologyTest.NumaCacheSelfconsistency
[       OK ] HardwareTopologyTest.NumaCacheSelfconsistency (2 ms)
[----------] 4 tests from HardwareTopologyTest (837 ms total)
[----------] Global test environment tear-down
[==========] 5 tests from 2 test cases ran. (837 ms total)
[  PASSED  ] 4 tests.
[  FAILED  ] 1 test, listed below:
[  FAILED  ] CpuInfoTest.SupportLevel
 1 FAILED TEST
      Start  6: MathUnitTests
 6/13 Test  #6: MathUnitTests ....................   Passed    0.01 sec
      Start  7: OnlineHelpUnitTests
 7/13 Test  #7: OnlineHelpUnitTests ..............   Passed    0.01 sec
      Start  8: OptionsUnitTests
 8/13 Test  #8: OptionsUnitTests .................   Passed    0.01 sec
      Start  9: RandomUnitTests
 9/13 Test  #9: RandomUnitTests ..................   Passed    0.03 sec
      Start 10: UtilityUnitTests
10/13 Test #10: UtilityUnitTests .................   Passed    0.02 sec
      Start 11: FileIOTests
11/13 Test #11: FileIOTests ......................   Passed    0.02 sec
      Start 12: PullTest
12/13 Test #12: PullTest .........................   Passed    0.01 sec
      Start 13: SimdUnitTests
13/13 Test #13: SimdUnitTests ....................   Passed    0.02 sec
92% tests passed, 1 tests failed out of 13
Label Time Summary:
GTest       =   1.09 sec (13 tests)
UnitTest    =   1.09 sec (13 tests)
Total Test time (real) =   1.10 sec
The following tests FAILED:
	  5 - HardwareUnitTests (Failed)
Errors while running CTest

for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2388681


Version-Release number of selected component (if applicable):
gromacs-2016-2.fc26

Comment 2 Dan Horák 2016-11-08 10:46:38 UTC
reported upstream as https://gerrit.gromacs.org/#/c/6321/

Comment 3 Dan Horák 2017-02-14 09:26:00 UTC
seems fixed with gromacs-2016.2-1.fc26 - https://s390.koji.fedoraproject.org/koji/buildinfo?buildID=456201

Comment 4 Fedora End Of Life 2017-02-28 10:32:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Fedora Admin XMLRPC Client 2017-06-08 21:02:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Dominik 'Rathann' Mierzejewski 2017-06-08 21:07:01 UTC
This is fixed, according to comment #3.


Note You need to log in before you can comment on or make changes to this bug.